Bug 1260151 - gdal-2.0.0-3.fc24 FTBS: dead lock on live network tests
gdal-2.0.0-3.fc24 FTBS: dead lock on live network tests
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gdal (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Devrim Gündüz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-04 10:44 EDT by Petr Pisar
Modified: 2017-07-26 07:53 EDT (History)
9 users (show)

See Also:
Fixed In Version: gdal-2.1.3-1.fc26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-26 07:53:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2015-09-04 10:44:59 EDT
While rebuild gdal-2.0.0-3.fc24 in mock (thus the network is available), the tests do not finish. The end of the output is:

Running tests from pyscripts/test_gdal_ls_py.py
  TEST: test_gdal_ls_py_1 ... success
  TEST: test_gdal_ls_py_2 ... success
  TEST: test_gdal_ls_py_3 ... success
  TEST: test_gdal_ls_py_4 ... success
  TEST: test_gdal_ls_py_5 ... success
  TEST: test_gdal_ls_py_6 ... success
  TEST: test_gdal_ls_py_7 ... ERROR 1: Range downloading not supported by this server !
ERROR 1: Range downloading not supported by this server !
ERROR 1: Range downloading not supported by this server !
ERROR 1: Range downloading not supported by this server !
ERROR 1: Range downloading not supported by this server !
ERROR 1: Range downloading not supported by this server !
ERROR 1: Range downloading not supported by this server !
ERROR 1: Range downloading not supported by this server !
ERROR 1: Range downloading not supported by this server !
ERROR 1: Range downloading not supported by this server !

And lsof on the "python ./run_all.py" process shows this network connection:

python  11904 ppisar    3u  IPv4 8408258      0t0     TCP unused-4-245.brq.redhat.com:58491->tracsvn.osgeo.osuosl.org:http (ESTABLISHED)

I believe the live network tests should be disabled to prevent from nondeterministic results based on servers in the Internet.
Comment 1 Jan Kurik 2016-02-24 08:43:33 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Petr Pisar 2016-11-04 04:00:11 EDT
This still issue on F26. Today I had to kill it after one day because it waited on data from Amazon servers. Moreover the run_all.py exit code is ignored in the spec file:

  # Run tests but force normal exit in the end
  ./run_all.py || true

Such a test does not make sense. I recommend to remove it.
Comment 3 Fedora End Of Life 2017-07-25 15:15:01 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 4 Petr Pisar 2017-07-26 07:53:33 EDT
The tests were disabled in gdal-2.1.3-1.fc26.

Note You need to log in before you can comment on or make changes to this bug.